.TH DVGT 1
.\" $Id:$
.\" Tomasz J. Cholewo <t.cholewo@ieee.org>
.SH DVGT
dvgt \- DVI file previewer for Tektronix 4010 emulators
.SH SYNOPSIS
dvgt [options] filename.[dvi]
.SH "DESCRIPTION"
dvgt interactively views TeX-generated DVI files on Tektronix 4010 emulators.
.SH OPTIONS
.TP 5
.BI "\-H  " horizontal_offset   
(default = 0.0 in)
.TP 5
.BI "\-V  " vertical_offset
(default = 0.0 in)
.TP 5
.BI "\-d " dummy_pk
.TP 5
.BI "\-e " dummy_tfm
.TP 5
.BI "\-k  " kpathsea_debug_mode
.TP 5
.B \-l
set landscape mode, instead of the default portrait mode
.TP 5
.BI "\-m " magnification   
default = DVI file's intrinsic magnification
.TP 5
.BI "\-r "  xres[,yres]]
resolution in dpi
.TP 5
.BI "\-x " paper_width
.TP 5
.BI "\-y " paper_height

.SH EXAMPLES
Start dvgt on file.dvi with A4 paper settings:

    dvgt -x210mm -y297mm file.dvi

\" .SH ENVIRONMENT
\" envariables this program might care about
\" .SH FILES
\" all files used by the program.  typical usage is like this:
\" .br
\" .nf
\" .\" set tabstop to longest possible filename, plus a wee bit
\" .ta \w'/usr/lib/perl/getopts.pl   'u
\" \fI/usr/man\fR  default man tree
\" \fI/usr/man/man*/*.*\fR unformatted (nroff source) man pages
.SH "SEE ALSO"
dvips(1), xdvi(1), dvilj(1)
\" .SH NOTES
\" miscellaneous commentary
.SH CAVEATS
This is a beta version.
\" .SH DIAGNOSTICS
\" all the possible error messages the program can print out, and
\" what they mean.
\" .SH BUGS
\" things that are broken or just don't work quite right.
\" .SH RESTRICTIONS
\" bugs you don't plan to fix :-)
.SH AUTHORS
Andrew Trevorrow, Ian Dall, Geoffrey Tobin, Tomasz J. Cholewo and
many more.
.SH HISTORY
Andrew Trevorrow wrote the original DVItoVDU in Modula-2.

The initial C code for this version of DVItoVDU was copied from Ian
Dall's site, ftp://augean.oz.au/pub/misc/dv.tar.Z.  Ian had, as his
source code seems to indicate, automatically translated it from Modula.

Geoffrey Tobin added a lot of new functionality: font searching and
substitution, option handling, bitmap allocation, help files, and much
more.

Tomasz J. Cholewo modified dvgt to use kpathsea library.

A thorough history of the various versions of "dvitovdu", "dvi2vdu",
and "dv" in the world is much more complex.
